sling-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From romb...@apache.org
Subject svn commit: r1809985 - /sling/trunk/tooling/scm/scripts/create-gh-repo.sh
Date Thu, 28 Sep 2017 12:57:27 GMT
Author: rombert
Date: Thu Sep 28 12:57:27 2017
New Revision: 1809985

URL: http://svn.apache.org/viewvc?rev=1809985&view=rev
Log:
SLING-3987 - move from Subversion to Git

Add script to create a GitHub org ( for testing only )

Added:
    sling/trunk/tooling/scm/scripts/create-gh-repo.sh   (with props)

Added: sling/trunk/tooling/scm/scripts/create-gh-repo.sh
URL: http://svn.apache.org/viewvc/sling/trunk/tooling/scm/scripts/create-gh-repo.sh?rev=1809985&view=auto
==============================================================================
--- sling/trunk/tooling/scm/scripts/create-gh-repo.sh (added)
+++ sling/trunk/tooling/scm/scripts/create-gh-repo.sh Thu Sep 28 12:57:27 2017
@@ -0,0 +1,17 @@
+#!/bin/sh -ex
+
+username="$1"
+access_token="$2"
+repo_name="$3"
+
+if [ $# -ne 3 ]; then
+    echo "Usage: $0 github_username github_token new_repo_name"
+    exit 1
+fi
+
+curl -u "${username}:${access_token}" -d "{
+    \"name\": \"${repo_name}\",
+    \"has_issues\": false,
+    \"has_projects\": false,
+    \"has_wiki\": false
+}" -X POST https://api.github.com/orgs/not-sling/repos

Propchange: sling/trunk/tooling/scm/scripts/create-gh-repo.sh
------------------------------------------------------------------------------
    svn:executable = *



Mime
View raw message